<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::NodeAnimationTrack Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#6f341ad134c0254f15a0cba2bbae4097">_buildKeyFrameIndexMap</a>(const std::vector&lt; Real &gt; &amp;keyFrameTimes)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#f8baa5bda564ab10fced1e265f21f833">_clone</a>(Animation *newParent) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#7aab09df8cf0fea5b1a53df263b9e2c1">_collectKeyFrameTimes</a>(std::vector&lt; Real &gt; &amp;keyFrameTimes)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#c63ec3b7f27897f2223aca60f4c90422">_keyFrameDataChanged</a>(void) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#0209b4a0d1461af76fdfcbf31b0537f2">AnimationTrack</a>(Animation *parent, unsigned short handle)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#6260acaf8a310d45a175030e5b2f41d7">apply</a>(const TimeIndex &amp;timeIndex, Real weight=1.0, Real scale=1.0f)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#19204ead354110f70193f153959a58b4">applyToNode</a>(Node *node, const TimeIndex &amp;timeIndex, Real weight=1.0, Real scale=1.0f)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#1745b618de6c8684b77ef3f2314065e3">buildInterpolationSplines</a>(void) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#4517a1b16d6cb601754d98841bb4d7d6">createKeyFrame</a>(Real timePos)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#e924dabecde99745c3aa9a24729e8902">createKeyFrameImpl</a>(Real time)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#5018654d95b4bca786c90c073fba4898">createNodeKeyFrame</a>(Real timePos)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#154e16dad0e109284e1119251aa4da3f">getAssociatedNode</a>(void) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#32de796f12f6afee4c93e12625535577">getHandle</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#2eddbf3e31adce0c1cde9db3d710c131">getInterpolatedKeyFrame</a>(const TimeIndex &amp;timeIndex, KeyFrame *kf) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#f27f57a984619052cca4726cdfd26f3c">getKeyFrame</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#55533ed5218c6d423e9443afa2580f5a">getKeyFramesAtTime</a>(const TimeIndex &amp;timeIndex, KeyFrame **keyFrame1, KeyFrame **keyFrame2, unsigned short *firstKeyIndex=0) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#d0e20b825ba5221fe809456795fa9afe">getNodeKeyFrame</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#e0c1160b89c7f2be74ae2962239bd732">getNumKeyFrames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#4186c14ee9b495a25cfb529e001a5569">getUseShortestRotationPath</a>() const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#33dfa5ceaf4d6636da3a46038068aa11">hasNonZeroKeyFrames</a>(void) const </td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#27b9b55f9a560e3b7c83f0d47676fc51">KeyFrameIndexMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#501aac9ae307fd6813a31792404cf770">KeyFrameList</a> typedef</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#5fb5dc3c01452aa4d542981485d15080">mHandle</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#2c053bac1d2eedc782eb24b79dc79a21">mKeyFrameIndexMap</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#8a9bee08f6fa537fc0bcfcee2423775c">mKeyFrames</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#ea479089005d263e195cde7e4faca665">mParent</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#9254f84e8a884379be88508481a9760d">mSplineBuildNeeded</a></td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#eda31d3b9e77688be33d7e57b0d25f0b">mSplines</a></td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#0dc80f6d98b2b0d4d1022af4629abf88">mTargetNode</a></td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#5b92dd90793e598d1338e0573a22d62d">mUseShortestRotationPath</a></td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#08bfcb3a32f8237ee3f0be5abfa514d4">NodeAnimationTrack</a>(Animation *parent, unsigned short handle)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#b2c1cd43a5efd4ccdae8600f77171943">NodeAnimationTrack</a>(Animation *parent, unsigned short handle, Node *targetNode)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#bab18a48c2cf56ef09d5049fa8289ad2">optimise</a>(void)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#4e61fb2e00abd26a854d122452cb21a0">populateClone</a>(AnimationTrack *clone) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#c8f7b83d742998ed46c8cdb10e404df6">removeAllKeyFrames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#3e1ccd99179d804992a5224fe811c2dd">removeKeyFrame</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#9c488e5aa6c197205cd1d70e83a22aa7">setAssociatedNode</a>(Node *node)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#489fa7a407f81e876e947127cd52d7bb">setUseShortestRotationPath</a>(bool useShortestPath)</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#28fb904ec7b101ad71fae5c6930b0d34">~AnimationTrack</a>()</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html#01ffa844be9d73c9ead5b38cc8a69809">~NodeAnimationTrack</a>()</td><td><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:07 2008
</p>
</body>
</html>
